package servlet;

import server.Request;
import server.Response;

public abstract class Servlet {              //是所有的请求的Servlet的父类
    public void service(Request req, Response rep)throws Exception{
        this.doGet(req,rep);
        this.doPost(req,rep);
    }
    public abstract void doGet(Request req, Response rep) throws Exception;
    public abstract void doPost(Request req, Response rep) throws Exception;
}
