package util;

import java.io.Closeable;
import java.io.IOException;

public class IOCloseUtil {     //用于关闭流
	public static void closeALL(Closeable...close){
		for (Closeable closeable : close){
			if (closeable != null){
				try {
					closeable.close();
				} catch (IOException e) {
					e.printStackTrace();
				}
			}
		}
	}
}
